%define upstream_name	 Text-Tiki
%define upstream_version 0.73

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	TikiText - Text Formatting Engine
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch:	noarch

%description
TikiText is a text formatting notation and engine, with the following
design goals:
* Leverage existing text formatting notions.
* Least amount of characters from plain text.
* Use more intuitive and common plain text email conventions.
* Abstract users from needing to know or understand markup whenever
  possible.
* Make valid and semantic XHTML markup easy.
  (And let CSS do its job!)
* Easy to learn the basics. Richer functionality for those who want to
  dive in.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/*/*




%changelog
* Tue Nov 01 2022 umeabot <umeabot> 0.730.0-10.mga9
+ Revision: 1901199
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.730.0-9.mga8
+ Revision: 1497748
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.730.0-8.mga7
+ Revision: 1272208
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.730.0-7.mga6
+ Revision: 1035171
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.730.0-6.mga6
+ Revision: 934516
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.730.0-5.mga5
+ Revision: 741983
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.730.0-4.mga5
+ Revision: 686658
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.730.0-3.mga4
+ Revision: 515574
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.730.0-2.mga3
+ Revision: 374227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.730.0-1.mga1
+ Revision: 15434
- imported package perl-Text-Tiki


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2010.0
+ Revision: 409304
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.73-5mdv2009.0
+ Revision: 242059
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.73-3mdv2008.0
+ Revision: 23639
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.73-2mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Tue Mar 28 2006 Olivier Blin <oblin@mandriva.com> 0.73-1mdk
- initial release

